Bug 507716 - FV systems do not get resubscribed when more entitlements are available
FV systems do not get resubscribed when more entitlements are available
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Devel
All Linux
low Severity medium
: ---
: ---
Assigned To: Grant Gainey
Stephen Herr
us=103949, Rally US88, US1753
:
Depends On:
Blocks: rhn-sprint41
  Show dependency treegraph
 
Reported: 2009-06-23 17:01 EDT by Stephen Herr
Modified: 2011-04-08 15:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: 5.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-14 18:03:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2009-06-23 17:01:04 EDT
Description of problem:
FV systems do not get resubscribed when more entitlements are available. Best explanation is to imagine this scenario:
1. We have several physical servers subscribed and consuming physical entitlements.
2. Something changes, org gets repolled, number of physical entitlements goes down below the number of servers we have subscribed, some get unsubscribed.
3. Same thing except this time the number of physical entitlements goes up, servers get re-subscribed.
Well that should happen to FV systems too, but they do not get re-subscribed.

How reproducible:
always

Steps to Reproduce:
1. start with say 7 FVEs and 6 FV systems subscribed
2. change number of FVEs in rhnservicechannelfamilymap to 4, repoll
3. confirm 2 FV servers were unsubscribed
4. change number of FVEs in rhnservicechannelfamilymap to 8, repoll
  
Actual results:
number of available entitlements increases, nothing else happens

Expected results:
number of available entitlements increases, those 2 servers are re-subscribed (leaving 6 FV systems and 2 free FVEs)
Comment 1 Denise Hughes 2010-03-24 21:11:22 EDT
Fixed and Verified on webdev
Comment 2 Grant Gainey 2010-06-14 18:03:32 EDT
Addressed in 521

Note You need to log in before you can comment on or make changes to this bug.